package me.fritz.betterstairs;

import java.util.logging.Logger;

import me.fritz.betterstairs.BetterStairsBlockListener;

import org.bukkit.event.Event;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

/** Main BetterStairs Class
 *  
 * @Author Fritz
 * @version 1.0.1
 */
public class BetterStairs extends JavaPlugin{

	private BetterStairsBlockListener blockListener = new BetterStairsBlockListener();
	Logger log = Logger.getLogger("Minecraft");

	/** Called when the plugin is enabled
	 */
	public void onEnable() {
		PluginManager pm = this.getServer().getPluginManager();
		pm.registerEvent(Event.Type.BLOCK_BREAK, blockListener, Event.Priority.Normal, this);
		
		log.info("[BetterStairs] plugin enabled!");
	}

	/** Called when the plugin is disabled
	 */
	public void onDisable() {
		log.info("[BetterStairs] plugin disabled!");
	}
}